MKFS(8)

NOMBRE
mkfs - construye un sistema de ficheros de Linux

SINOPSIS

mkfs [options] [-t type] [fs-options] device [size]

DESCRIPCIÓN

This mkfs frontend is deprecated in favour of filesystem specific mkfs.<type> utils.

mkfs is used to build a Linux filesystem on a device, usually a hard disk partition. The device argument is either the device name (e.g., /dev/hda1, /dev/sdb2), or a regular file that shall contain the filesystem. The size argument is the number of blocks to be used for the filesystem.

El código de salida devuelto por mkfs es 0 si acaba con éxito y 1 si acaba en fallo.

mkfs es simplemente un frontend para los diversos constructores de sistemas de ficheros (mkfs.tipo-sf) disponibles en Linux. El constructor específico del sistema de ficheros sólo se buscará en los directorios definidos en el PATH. Consulte la correspondiente página de manual para cada constructor en concreto.

OPCIONES

-t, --type tipo
    Especifica el tipo de sistema de ficheros a construir. Si no se define ninguno en concreto, se utilizará ext2 por defecto.

opciones-sf
    Opciones del sistema de ficheros específico, que se pasarán al constructor real del sistema de ficheros.

-V, --verbose
    Produce una salida más prolija, incluyendo todas las órdenes ejecutadas específicas del sistema de ficheros. Especificar esta opción más de una vez inhibe la ejecución de cualquier orden de un sistema de ficheros específico. Esto es útil en el caso de la realización de pruebas.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Display version and exit. (Option -V will display version information only when it is the only parameter, otherwise it will work as --verbose.)

ERRORES

Todas las opciones genéricas deben ir antes y no combinadas con las específicas del sistema de ficheros. Algunos programas específicos de un sistema de ficheros no detectan automáticamente el tamaño del dispositivo y requieren el parámetro tamaño.

AUTORES

La página del Manual fue adaptada sin ningún rubor de la versión de Remy Card para el sistema de ficheros ext2.

VÉASE TAMBIÉN

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

INFORMAR DE ERRORES

For bug reports, use the

DISPONIBILIDAD

La orden mkfs forma parte del paquete util-linux, el cual puede descargarse de